DefinitionBlock ("", "SSDT", 2, "hack", "track", 0x00000000)
{
    External (_SB_.PCI0, DeviceObj)
    External (_SB_.PCI0.GPI0, DeviceObj)
    External (_SB_.PCI0.GPI0._STA, IntObj)
    External (_SB_.PCI0.I2C1.TPD1, DeviceObj)
    External (I2CX, IntObj)
    External (BADR, UnknownObj)
    External (SPED, UnknownObj)
    External (SBFB, IntObj)
    External (SBFG, IntObj)
    External (OSYS, FieldUnitObj)
    External (TBPE, FieldUnitObj)
    External (YCRS, MethodObj)
    External (I2CM, MethodObj)
    External (GNUM, MethodObj)

    
    If (_OSI ("Darwin"))
    {
        \_SB.PCI0.GPI0._STA = 0x0F
    } 
       
    Scope (_SB.PCI0)
    {
    
        Method (_INI, 0, Serialized)  // _INI: Initialize
        {
            TBPE = One
            OSYS = 0x07D0
            If (CondRefOf (\_OSI, Local0))
            {
                If (_OSI ("Windows 2001"))
                {
                    OSYS = 0x07D1
                }

                If (_OSI ("Windows 2001 SP1"))
                {
                    OSYS = 0x07D1
                }

                If (_OSI ("Windows 2001 SP2"))
                {
                    OSYS = 0x07D2
                }

                If (_OSI ("Windows 2001.1"))
                {
                    OSYS = 0x07D3
                }

                If (_OSI ("Windows 2006"))
                {
                    OSYS = 0x07D6
                }

                If (_OSI ("Windows 2009"))
                {
                    OSYS = 0x07D9
                }

                If (_OSI ("Windows 2012"))
                {
                    OSYS = 0x07DC
                }

                If (_OSI ("Windows 2013"))
                {
                    OSYS = 0x07DD
                }

                If ((_OSI ("Darwin") || _OSI ("Windows 2015")))
                {
                    OSYS = 0x07DF
                }
            }   
        } 
    }
    
    
    Scope (_SB.PCI0.I2C1.TPD1)
    {
        
           Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
           {
                
            If (_OSI ("Darwin"))
            {
                
                Name (SBFB, ResourceTemplate ()
                {
                    I2cSerialBusV2 (0x002C, ControllerInitiated, 0x000186A0,
                        AddressingMode7Bit, "\\_SB.PCI0.I2C1",
                        0x00, ResourceConsumer, , Exclusive,
                        )

                })
                
                Name (SBFG, ResourceTemplate ()
                {
                     GpioInt (Level, ActiveLow, Exclusive, PullDefault, 0x0000,
                        "\\_SB.PCI0.GPI0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0000
                        }
                })


                CreateWordField (SBFB, 0x38, INTH)
                INTH = GNUM (0x0202000E)
                
                Return (ConcatenateResTemplate (SBFB, SBFG))
                
            }
            Else
            {
             YCRS ()   
            }
           }    
    
    // TPD1 Scope Closure
    }    
    
    
    
    
    
    
    
// DefinitionBlock Closure    
}